import { Component, ViewEncapsulation, OnInit } from "@angular/core";
import { ElectronService } from "ngx-electron";
import { ActivatedRoute } from "@angular/router";

@Component({
  selector: "app-root",
  templateUrl: "./app.component.html",
  styleUrls: ["./app.component.scss"],
  encapsulation: ViewEncapsulation.Native
})
export class AppComponent implements OnInit {
  title: string = "";

  constructor(
    public _electron: ElectronService,
    public _activatedRoute: ActivatedRoute
  ) {
    if (_electron.isElectronApp) {
      document.body.classList.add("isElectron");
      _electron.remote
        .getCurrentWindow()
        .on("focus", () => document.body.classList.add("hasFocus"))
        .on("blur", () => document.body.classList.remove("hasFocus"));
    }
  }

  ngOnInit() {
    this._activatedRoute.queryParams.subscribe(
      params => (this.title = params["title"])
    );
  }
}
